import request from '@/utils/request'

// 查询客户群详情列表
export function listGroupChat(query) {
  return request({
    url: '/qw/groupChat/list',
    method: 'get',
    params: query
  })
}
export function listGroupChatDeptList(query) {
  return request({
    url: '/qw/groupChat/deptList',
    method: 'get',
    params: query
  })
}
export function listGroupChatMyList(query) {
  return request({
    url: '/qw/groupChat/myList',
    method: 'get',
    params: query
  })
}

// 查询客户群详情详细
export function getGroupChat(chatId) {
  return request({
    url: '/qw/groupChat/' + chatId,
    method: 'get'
  })
}
export function allList(corpId) {
  return request({
    url: '/qw/groupChat/allList/' + corpId,
    method: 'get'
  })
}
// 同步客户群详情
export function cogradientGroupChat(corpId) {
  return request({
    url: '/qw/groupChat/cogradientGroupChat/'+corpId,
    method: 'get',
  })
}

export function cogradientMyGroupChat(corpId) {
  return request({
    url: '/qw/groupChat/cogradientMyGroupChat/'+corpId,
    method: 'get',
  })
}



export function listAll(qwUserIds, corpId, sopId) {
  return request({
    url: '/qw/groupChat/listAll',
    method: 'get',
    params:{qwUserIds, corpId, sopId}
  })
}
